Subject: Re: guix home reconfigure, no such file or directory

From: chris <[email-masked]>
Date: Wed, 10 Jul 2024 12:48:44 -0700

On  7月05日 金, Juliana Sims wrote:
> Do you inherit any other configurations in your home configuration which are
> defined in a different file? If so, have you made changes in any of the
> files where those inherited configurations are defined? I just had a
> similarly mysterious failure to load a (system) configuration file, and it
> was because I hadn't properly imported a module exposing a package I added.
> It seems these kinds of errors aren't properly propagated.
> 
> If that isn't the issue, I'm of no further help ;)
> 
> Best,
> Juli

Juli,

Your suggestion is apt. Commenting-out a 'primitive-load' call from guix.home.scm, guix home recognizes and processes the file.

I tried using 'guile -the-primitive-loaded-file.scm' and, no errors appeared. I'm not sure how to troubleshoot the issue, but with your suggestion it may become possible to fix guix home here,

Thank you,

Chris